@import url('/src/styles/styles.less');

.sub-option-list-container {
    .editor {
    }

    .ql-editor {
        margin: 0;
        padding: 0;
    }
}

.quiz-session-taking-submit-btn {
    margin-top: 1rem;
}

.question-navigate-wrapper {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
}

.question-navigate-link {
    text-decoration: none;
    font-size: 14px;
    line-height: 20px;
    font-weight: 400;
    background-color: #fff;
    background-image: none;
    height: 40px;
    width: 30px;
    border-radius: 3px;
    border: 0;
    overflow: visible;
    margin: 0 6px 6px 0;
    display: block;
    position: relative;
    padding: 0;
    text-align: center;
}

.question-navigate-link:hover {
    text-decoration: underline;
}

.question-navigate-index {
    border: 1px #000 solid;
    z-index: 1;
}

.trafficlight {
    border: 0;
    background: rgb(255, 255, 255) none no-repeat scroll;
    height: 20px;
    margin-top: 20px;
    border-radius: 0 0 3px 3px;
    display: block;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    font-size: 14px;
    line-height: 20px;
    font-weight: 400;
}

.question-answered {
    background-color: #8fc7f5;
}

.ANSWERED {
    background-color: #8fc7f5;
}

.PARTIALLY_ANSWERED {
    background-color: #debf71;
}

.accesshide {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    white-space: nowrap;
    border: 0;
    font-size: 14px;
    line-height: 20px;
    font-weight: 400;
}

.thispageholder {
    border: 1px solid;
    border-radius: 3px;
    z-index: 1;
    display: block;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}

.flagged-question {
    background: transparent url("/assets/icon/flag-on.svg") 15px 0 no-repeat;
}

.countdown-wrapper {
    border: 1px solid #c91c00;
    display: flex;
    justify-content: center;
    font-weight: bold;
    padding: 1rem;
}